clear
set mem 720m


cd "C:\Users\Dix-Carneiro\Documents\Exchange Rates & Multi-Product Firms\Data"



use ppp_brazil

sort year

replace ppp_bra = ppp_bra / ppp_bra[_N]

save ppp_brazil, replace




clear

use UnitValues_Firms_RER

duplicates drop

save UnitValues_Firms_RER, replace







clear

use UnitValues_Firms_RER

*********************************************
* Convert Values into R$ and deflate them

sort year

merge year using ppp_brazil
keep if _merge == 3
drop _merge

replace valoragg = valoragg*xrat_bra / ppp_bra
replace unitvalue1 = unitvalue1*xrat_bra / ppp_bra
replace unitvalue2 = unitvalue2*xrat_bra / ppp_bra

gen imports = (valorimpusd*xrat_bra) / (avg_wage*total_emp*40*52)
replace imports = 0 if imports == .

gen exports = (valorexpusd*xrat_bra) / (avg_wage*total_emp*40*52)
replace exports = 0 if exports == .

gen lag_imports = (lag_valorimpusd*xrat_bra) / (lag_wage*lag_emp*40*52)
replace lag_imports = 0 if lag_imports == .

gen lag_exports = (lag_valorexpusd*xrat_bra) / (lag_wage*lag_emp*40*52)
replace lag_exports = 0 if lag_exports == .

replace lag_numprod = 0 if lag_numprod == .
replace lag_ndest = 0 if lag_ndest == .


rename lag_numprod lag_NP
rename lag_ndest lag_totdest


drop cnaefirm
display _N
sort cnpj
merge cnpj using cnpj_cnae
keep if _merge == 3
drop _merge
display _N


*********************************************

destring cnaeprod, replace


**************************************************************
* Number of products exported (firm-destination-year level)
**************************************************************

gen ones = 1 
replace ones = 0 if valoragg == 0 | valoragg == .

sort cnpj pais year

by cnpj pais year: egen num_prod = total(ones)

drop ones

save UnitValues_Firms_RER, replace








