clear

cd "C:\Users\Dix-Carneiro\Documents\Exchange Rates & Multi-Product Firms\Data"




use cnpj_exports

rename ano year

gen exporter = 1

destring year, replace force

sort cnpj year

save aux1, replace




use cnpj_exports

rename ano year

keep cnpj

sort cnpj

duplicates drop

cross using years2

duplicates drop

sort cnpj year

merge cnpj year using aux1
drop _merge

duplicates drop

replace exporter = 0 if exporter == .

sort cnpj year

forvalues i = 1997(1)2006{
	gen exporter`i' = exporter
	replace exporter`i' = 0 if year >= `i' | year < `i' - 7
	by cnpj: egen experience`i' = total(exporter`i')
}	

keep  cnpj8 experience*

sort cnpj8 

duplicates drop

reshape long experience, i(cnpj8) j(year)

rename cnpj8 cnpj

sort cnpj year

save ExperienceExporting, replace



