clear

cd "C:\Users\Dix-Carneiro\Documents\Exchange Rates & Multi-Product Firms\Correspondance"

use ncm9602_final
gen HS6 = int(ncm1996/100)
keep HS6 group96
rename group96 ncm
gen changed = 1
sort HS6
cd "C:\Users\Dix-Carneiro\Documents\Exchange Rates & Multi-Product Firms\Data"
save group96_HS6, replace





cd "C:\Users\Dix-Carneiro\Documents\Exchange Rates & Multi-Product Firms\Data"

clear

insheet using "CountryCodes.csv"

keep ctycode iso3digitalpha

rename ctycode reporter
rename iso3digitalpha country_isocode

sort reporter

save countrycodes, replace




clear

insheet using "ImportsData.csv"

keep product reporter partner partnername importsvaluein1000usd  tradeyear

rename tradeyear year
rename importsvaluein1000usd imports

duplicates drop

* Subtract imports from Brazil from the World total
replace imports = (-1)*imports if partner == 76 
sort reporter product year partner
by reporter product year: egen importsMinusBRA = total(imports)

sort reporter product year partner
by reporter product year: gen ranking = _n
keep if ranking == 1

keep product reporter partner importsMinusBRA year

sort reporter

merge reporter using countrycodes

keep country_isocode product year importsMinusBRA

drop if country_isocode == ""
drop if product == .

sort country_isocode product year

duplicates drop

save importsMinusBRA, replace




keep country_isocode product

cross using years

duplicates drop




sort country_isocode product year

merge country_isocode product year using importsMinusBRA
drop _merge

duplicates drop

replace importsMinusBRA = 0 if importsMinusBRA == .

rename product HS6

sort HS6

merge HS6 using group96_HS6
keep if _merge == 1 | _merge == 3
drop _merge

replace HS6 = ncm if changed == 1

sort country_isocode HS6 year
by country_isocode HS6 year: egen  importsMinusBRA2 = total(importsMinusBRA)

replace importsMinusBRA = importsMinusBRA2
drop ncm changed importsMinusBRA2
duplicates drop

sort country_isocode HS6 year

save importsMinusBRA, replace



