libname exp 'C:\Data\SECEX\Bases\Exportacao';
libname datalib 'C:\Users\Dix-Carneiro\Documents\Exchange Rates & Multi-Product Firms\Data' ;



proc sort data = corr.ncm9602_final ; by ncm1996 ; run ;


%macro AggExports(start = , stop = ) ;

	%do t = &start %to &stop ;

		%let s = %substr(&t,3,2) ;

		data cnpj_exp&s. (keep = ano cnpj8) ;
			set exp.exp&s. ;
		run ;

		proc sort data = cnpj_exp&s. out = cnpj_exp&s. nodups ;
		by cnpj8 ano;
		run;

	%end;
%mend;

%AggExports(start=1990,stop=2006) ;

data datalib.cnpj_exports ;
	set cnpj_exp90 cnpj_exp91 cnpj_exp92 cnpj_exp93 cnpj_exp94 cnpj_exp95 cnpj_exp96 cnpj_exp97 cnpj_exp98
	    cnpj_exp99 cnpj_exp00 cnpj_exp01 cnpj_exp02 cnpj_exp03 cnpj_exp04 cnpj_exp05 cnpj_exp06 ;
run ;

proc sort data = datalib.cnpj_exports out = datalib.cnpj_exports nodups ;
by cnpj8 ano;
run;

PROC EXPORT DATA = datalib.cnpj_exports 
	OUTFILE= "C:\Users\Dix-Carneiro\Documents\Exchange Rates & Multi-Product Firms\Data\cnpj_exports.dta" 
    DBMS=DTA REPLACE;
RUN;
